## org.eclipse.ocl.utilities.util
Class UtilitiesAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ocl.utilities.util.UtilitiesAdapterFactory

All Implemented Interfaces:
  AdapterFactory

    public class UtilitiesAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `UtilitiesPackage`

Field Summary
`protected static UtilitiesPackage` `modelPackage` The cached model package
`protected UtilitiesSwitch<Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`UtilitiesAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createASTNodeAdapter()` Creates a new adapter for an object of class '`AST Node`'
`Adapter` `createCallingASTNodeAdapter()` Creates a new adapter for an object of class '`Calling AST Node`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createExpressionInOCLAdapter()` Creates a new adapter for an object of class '`Expression In OCL`'
`Adapter` `createPredefinedTypeAdapter()` Creates a new adapter for an object of class '`Predefined Type`'
`Adapter` `createTypedASTNodeAdapter()` Creates a new adapter for an object of class '`Typed AST Node`'
`Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'
`Adapter` `createVisitableAdapter()` Creates a new adapter for an object of class '`Visitable`'
`Adapter` `createVisitorAdapter()` Creates a new adapter for an object of class '`Visitor`'
`boolean` `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static UtilitiesPackage modelPackage

  The cached model package.

### modelSwitch

    protected UtilitiesSwitch<Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### UtilitiesAdapterFactory

    public UtilitiesAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createASTNodeAdapter

    public Adapter createASTNodeAdapter()

  Creates a new adapter for an object of class '`AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASTNode`

### createCallingASTNodeAdapter

    public Adapter createCallingASTNodeAdapter()

  Creates a new adapter for an object of class '`Calling AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallingASTNode`

### createPredefinedTypeAdapter

    public Adapter createPredefinedTypeAdapter()

  Creates a new adapter for an object of class '`Predefined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedType`

### createTypedASTNodeAdapter

    public Adapter createTypedASTNodeAdapter()

  Creates a new adapter for an object of class '`Typed AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedASTNode`

### createVisitableAdapter

    public Adapter createVisitableAdapter()

  Creates a new adapter for an object of class '`Visitable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Visitable`

### createTypedElementAdapter

    public Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createVisitorAdapter

    public Adapter createVisitorAdapter()

  Creates a new adapter for an object of class '`Visitor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Visitor`

### createExpressionInOCLAdapter

    public Adapter createExpressionInOCLAdapter()

  Creates a new adapter for an object of class '`Expression In OCL`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpressionInOCL`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.